## **🚀 Example Projects**

We have provided two complete example applications to demonstrate the usage of our library:

1. **Standard Installation**: This example uses an in-memory dictionary as the storage backend.
2. **Redis Extension**: This example uses Redis as the storage backend.

### **Running the Examples**

To run the examples, follow these steps:

1. **Clone the Repository**:
    ```sh
    git clone https://github.com/deepmancer/fastapi-auth-jwt.git
    cd fastapi-auth-jwt/examples
    ```

2. **Install Dependencies**:
    ```sh
    pip install -r requirements.txt
    ```

3. **Run the Standard Installation Example**:
    ```sh
    PYTHONPATH=. python main.py
    ```

4. **Run the Redis Extension Example**:
    Ensure you have a Redis server running locally or update the configuration to point to your Redis server.
    ```sh
    PYTHONPATH=. python main.py
    ```

These examples will help you understand how to integrate and use the library in your own projects. Happy coding! 🚀